//----------------------------------------------------------------------------
//  Project WmPlayer
//  Solidyne SRL
//  (C) 2007 Solidyne SRL
//
//  SUBSYSTEM:    WmPlayer Application
//  FILE:         wmplyrdc.h
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TWmPlayerDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(wmplyrdc_h)              // Sentry, use file only if it's not already included.
#define wmplyrdc_h

#include <owl/version.h>

#if OWLVersion >=0x0600
#include <ocf/oledialg.h>
#else
#include <owl/oledialg.h>
#endif
#include <owl/button.h>
#include <owl/commctrl.h>

#include "wmPlayer.h"

#include "wmplyrap.rh"                  // Definition of all resources.


//{{TOleDialog = TWmPlayerDlgClient}}
struct TWmPlayerDlgClientXfer {
//{{TWmPlayerDlgClientXFER_DATA}}
//{{TWmPlayerDlgClientXFER_DATA_END}}
};

class TWmPlayerDlgClient : public TOleDialog {
  public:
    TWmPlayerDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TWmPlayerDlgClient();
    int loadSkin(char *skinName);


//{{TWmPlayerDlgClientVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
    virtual void CleanupWindow();
    virtual bool CanClose();
//{{TWmPlayerDlgClientVIRTUAL_END}}

//{{TWmPlayerDlgClientRSP_TBL_BEGIN}}
  protected:
    void EvSize(uint sizeType, TSize& size);
	//bool EvOcCtrlCustomEvent(TCtrlCustomEvent* pev);
    void OnOpen();
    void OnPlay();
    void OnStop();
    void EvPaint();
    void EvLButtonDown(uint modKeys, TPoint& point);
    void EvMouseMove(uint modKeys, TPoint& point);
    void EvLButtonUp(uint modKeys, TPoint& point);
    void OnVolumeUp();
    void OnVolumeDown();
    void OnUp();
    void OnDown();
	 void OnLeft();
    void OnRight();
//{{TWmPlayerDlgClientRSP_TBL_END}}
    void Paint(TDC& dc, bool erase, TRect& rect);
    int checkVirtualButton(TPoint &p);

DECLARE_RESPONSE_TABLE(TWmPlayerDlgClient);
//{{TWmPlayerDlgClientXFER_DEF}}
  protected:
    TButton* pBtn_Open;
    TButton* pBtn_Play;
    TButton* pBtn_Stop;
    TButton* pBtn_Volumeup;
    TButton* pBtn_VolumeDown;
    TButton* pBtn_Ok;
//{{TWmPlayerDlgClientXFER_DEF_END}}

	bool Sliding;
	TPoint referencia;
	TOcControl* Ocx;
   MediaPlayerWrapper::TIMediaPlayer2Proxy Proxy;

	TDib   *fondo;
   HRGN hRegionComplete, hDrawRegion;
   int xDisplay, yDisplay, wDisplay, hDisplay;
   int xPlay,yPlay;
   int xStop,yStop;
   int xClose, yClose;
   int xOpen, yOpen;
   int xUp, yUp, xLeft, yLeft, xRight, yRight, xDown, yDown;
   int xVolumeUp, yVolumeUp, xVolumeDown, yVolumeDown;
   int buttonRadio;

	bool allowHolesInSkin;
   int maskColor;



};    //{{TWmPlayerDlgClient}}


#endif  // wmplyrdc_h sentry.
